#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    vector<int> vec(n);
    int p = 1;
    for(int i = 1;i < n;i+=2){
        vec[i] = p;
        p+=2;
    }
    p = 2 * n - 1;
    for(int i = 2;i < n;i+=2){
        vec[i] = p;
        p -= 2;
    }
    vec[0] = p;

    for(int x : vec) cout << x << ' ';
    cout << '\n';
    for(int x : vec) cout << x+1 << ' ';

    return 0;
}